/*
 * NEOpixel.h
 *
 *  Created on: 8. 5. 2021
 *      Author: honzi
 */

#ifndef NEOPIXEL_H_
#define NEOPIXEL_H_

#include "stm_core.h"
#include "systick_ms.h"
#include "RGB_HSL.h"
#include <stdbool.h>
#include <stdio.h>

/* Private macro */
#define NUM_PIXELS_MAX (16)
#define NUM_BITS  ((NUM_PIXELS_MAX) * 24)
#define PWM_BIT_1 (8)
#define PWM_BIT_0 (4)
#define PWM_BIT_LEN (14)

extern volatile uint32_t numPixels;
extern volatile uint32_t curBit;

bool Zobraz(int pole[], bool jasDOWN, bool HSLon, bool Ron, bool Gon, bool Bon);
void ShiftPixels(int pole[],bool jasDOWN,int i, bool HSLon, bool Ron, bool Gon, bool Bon);
bool SetPixel(uint pix, uint8_t r, uint8_t g, uint8_t b);
bool NEOpixelInit(uint32_t numPixels);


#endif /* NEOPIXEL_H_ */
