/*
 * RGB_HSL.h
 *
 *  Created on: 7. 5. 2021
 *      Author: honzi
 */

#ifndef RGB_HSL_H_
#define RGB_HSL_H_

#include <stdint.h>

typedef struct {
    uint8_t r;       // a fraction between 0 and 1
    uint8_t g;       // a fraction between 0 and 1
    uint8_t b;       // a fraction between 0 and 1
} rgb;
/*
typedef struct {
    double r;       // a fraction between 0 and 1
    double g;       // a fraction between 0 and 1
    double b;       // a fraction between 0 and 1
} rgb;
*/

typedef struct {
    double h;       // angle in degrees
    double s;       // a fraction between 0 and 1
    double l;       // a fraction between 0 and 1
} hsl;

hsl rgb2hsv(rgb in);
//rgb hsl2rgb(hsl hodnota);
rgb hsl2rgb(int hodnota);

#endif /* RGB_HSL_H_ */
