/*
 * mpp_shield.c
 *
 *  Created on: 22. 2. 2021
 *      Author: honzi
 */

#include "mpp_shield.h"

void Init8LED(void)
{
  if (!(RCC->AHB1ENR & RCC_AHB1ENR_GPIOCEN))   // nejsou povoleny hodiny ?
      {
        RCC->AHB1ENR |= RCC_AHB1ENR_GPIOCEN;       // povolit hodiny periferie
        RCC->AHB1RSTR |= RCC_AHB1RSTR_GPIOCRST;    // proved reset periferie
        RCC->AHB1RSTR &= ~RCC_AHB1RSTR_GPIOCRST;   // a konec resetu
      }
  GPIOC->MODER &= 0xffff0000;
  GPIOC->MODER |= 0x00005555;

  GPIOC->OTYPER &= 0xff00;

  GPIOC->OSPEEDR |= 0x0000ffff;
  return;
}

void Write8LED(uint8_t val)
{
  GPIOC->ODR = (GPIOC->ODR & 0xff00) | ((uint16_t)val);
  return;
}


